org.apache.maven.project

## Interface ProjectBuilderConfiguration

All Known Implementing Classes:
  DefaultProjectBuilderConfiguration

    public interface ProjectBuilderConfiguration

### Method Summary

Methods
`java.util.Date` `getBuildStartTime()`
`java.util.Properties` `getExecutionProperties()`
`ProfileManager` `getGlobalProfileManager()`
`ArtifactRepository` `getLocalRepository()`
`java.util.Properties` `getUserProperties()`
`ProjectBuilderConfiguration` `setBuildStartTime(java.util.Date buildStartTime)`
`ProjectBuilderConfiguration` `setExecutionProperties(java.util.Properties executionProperties)`
`ProjectBuilderConfiguration` `setGlobalProfileManager(ProfileManager globalProfileManager)`
`ProjectBuilderConfiguration` `setLocalRepository(ArtifactRepository localRepository)`
`ProjectBuilderConfiguration` `setUserProperties(java.util.Properties userProperties)`

### Method Detail

#### getLocalRepository

    ArtifactRepository getLocalRepository()

#### getGlobalProfileManager

    ProfileManager getGlobalProfileManager()

#### getUserProperties

    java.util.Properties getUserProperties()

#### getExecutionProperties

    java.util.Properties getExecutionProperties()

#### setGlobalProfileManager

    ProjectBuilderConfiguration setGlobalProfileManager(ProfileManager globalProfileManager)

#### setLocalRepository

    ProjectBuilderConfiguration setLocalRepository(ArtifactRepository localRepository)

#### setUserProperties

    ProjectBuilderConfiguration setUserProperties(java.util.Properties userProperties)

#### setExecutionProperties

    ProjectBuilderConfiguration setExecutionProperties(java.util.Properties executionProperties)

#### getBuildStartTime

    java.util.Date getBuildStartTime()

#### setBuildStartTime

    ProjectBuilderConfiguration setBuildStartTime(java.util.Date buildStartTime)